org 0000h                   ;中断控制的P1.0小灯。
ajmp main
org 000bh
ajmp int_timer0
org 0030h
main:   mov tmod,#01h               ;设置定时器工作方式寄存器。
mov th0,#high(65536-50000) 
mov tl0,#low(65536-50000)   ;设50MS初始值。
mov ie,#82h                 ;设置中断允许寄存器
mov 30h,#10 ;
mov 31h,#6                  ;30H和31H是两个软件计数器。
setb tr0                    ;启动定时
ajmp $                      ;原地踏步
int_timer0:                         ;定时器0中断服务程序。
mov th0,#high(65536-50000) 
mov tl0,#low(65536-50000)            ;重设50MS定时。
djnz 30h,l1 ;
mov 30h,#10 ;
djnz 31h,l1 ;
mov 31h,#6                 ;软件计数
cpl p1.0                ;10*6*50MS=3000MS时间到，P1.0取反
l1:     reti                       ;中断返回
end   
